### Constructor

# FwupdPlugin UefiDevice new

#### Declaration [src]

    FuUefiDevice*
    fu_uefi_device_new (
      FuContext* ctx,
      const gchar* guid,
      const gchar* name
    )

#### Description

No description available.

#### Parameters

`ctx`

  Type: `FuContext`

  No description available.

  The data is owned by the caller of the function.

`guid`

  Type: `const gchar*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`name`

  Type: `const gchar*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `FuUefiDevice`

No description available.

The caller of the function takes ownership of the data, and is responsible for freeing it.